Name: dotnet20
Description: Microsoft .NET Framework 2.0
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []

# Tested with win10 and Caffe 7.8, seems setting win2000 is no more needed

Steps:
- action: uninstall
  file_name: Wine Mono

- action: install_exe
  file_name: dotnetfx.exe
  url: https://download.lenovo.com/ibmdl/pub/pc/pccbbs/thinkvantage_en/dotnetfx.exe
  arguments: /q
  rename: dotnet20.exe
  file_checksum: 93a13358898a54643adbca67d1533462
  file_size: 0
  
- action: install_exe
  file_name: NetFx64.exe
  url: https://proxy.usebottles.com/redistributable/dependencies/NetFx64.exe
  arguments: /q
  rename: dotnet20_x64.exe
  file_checksum: 1f383f3a372dcdd89cd40bc65af05b37
  file_size: 0
  for:
    - win64

- action: override_dll
  dll: mscorwks
  type: native,builtin
